package agent

import (
	"net/http"

	"ycc-server/app/main/api/internal/logic/agent"
	"ycc-server/app/main/api/internal/svc"
	"ycc-server/common/result"
)

func GetAgentAuditStatusHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := agent.NewGetAgentAuditStatusLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentAuditStatus()
		result.HttpResult(r, w, resp, err)
	}
}
